/**
 * Issues a simple WFS GetFeature request for a single layer to fetch
 * specific features using their ids.
 *
 * Requirements:
 *  - the layer must exist within the loaded themes
 *  - it must be queryable
 *  - it must support WFS
 *  - feature ids must exist
 *
 * @param {string} layer Name of the layer to query
 * @param {string[]} ids List of ids
 * @returns {Promise<import('ol/Feature').default<import('ol/geom/Geometry').default>[]>} Promise.
 * @hidden
 */
export function getFeaturesFromIds(layer: string, ids: string[]): Promise<import("ol/Feature").default<import("ol/geom/Geometry").default>[]>;
/**
 * @param {string} layer Name of the layer to query
 * @param {number[]} coordinate Coordinate.
 * @param {number} resolution Resolution
 * @returns {Promise<import('ol/Feature').default<import('ol/geom/Geometry').default>>} Promise.
 * @hidden
 */
export function getFeaturesFromCoordinates(layer: string, coordinate: number[], resolution: number): Promise<import("ol/Feature").default<import("ol/geom/Geometry").default>>;
