/**
 * @classdesc
 * Events emitted by {@link module:ol/interaction/Draw~Draw} instances are
 * instances of this type.
 */
export class DrawEvent extends Event {
    /**
     * @param {string} type Type.
     * @param {import('ol/Feature.js').default<import('ol/geom/Geometry.js').default>} feature The feature drawn.
     */
    constructor(type: string, feature: import("ol/Feature.js").default<import("ol/geom/Geometry.js").default>);
    /**
     * The feature being drawn.
     *
     * @type {import('ol/Feature.js').default<import('ol/geom/Geometry.js').default>}
     * @api
     */
    feature: import("ol/Feature.js").default<import("ol/geom/Geometry.js").default>;
}
import Event from 'ol/events/Event.js';
