/**
 * @param {angular.ICompileService} $compile Angular compile service.
 * @param {angular.ITimeoutService} $timeout Angular timeout service.
 * @param {angular.IScope} $scope Scope.
 * @param {import('gmf/raster/RasterService').RasterService} gmfRaster Gmf Raster service
 * @param {import('gmf/options').gmfContextualDataOptions} gmfContextualDataOptions The options.
 * @param {import('ngeo/misc/AutoProjection').AutoProjectionService} ngeoAutoProjection The
 *    ngeo auto projection service
 * @class
 * @hidden
 * @ngdoc controller
 */
export function ContextualdataController($compile: angular.ICompileService, $timeout: angular.ITimeoutService, $scope: angular.IScope, gmfRaster: import("gmf/raster/RasterService").RasterService, gmfContextualDataOptions: import("gmf/options").gmfContextualDataOptions, ngeoAutoProjection: import("ngeo/misc/AutoProjection").AutoProjectionService): void;
export class ContextualdataController {
    /**
     * @param {angular.ICompileService} $compile Angular compile service.
     * @param {angular.ITimeoutService} $timeout Angular timeout service.
     * @param {angular.IScope} $scope Scope.
     * @param {import('gmf/raster/RasterService').RasterService} gmfRaster Gmf Raster service
     * @param {import('gmf/options').gmfContextualDataOptions} gmfContextualDataOptions The options.
     * @param {import('ngeo/misc/AutoProjection').AutoProjectionService} ngeoAutoProjection The
     *    ngeo auto projection service
     * @class
     * @hidden
     * @ngdoc controller
     */
    constructor($compile: angular.ICompileService, $timeout: angular.ITimeoutService, $scope: angular.IScope, gmfRaster: import("gmf/raster/RasterService").RasterService, gmfContextualDataOptions: import("gmf/options").gmfContextualDataOptions, ngeoAutoProjection: import("ngeo/misc/AutoProjection").AutoProjectionService);
    /**
     * @type {?import('ol/Map').default}
     */
    map: import("ol/Map").default | null;
    /**
     * @type {import('gmf/options').gmfContextualDataOptions}
     */
    options: import("gmf/options").gmfContextualDataOptions;
    /**
     * @type {import('ol/proj/Projection').default[]}
     */
    projections: import("ol/proj/Projection").default[];
    /**
     * @type {boolean}
     */
    displayed: boolean;
    /**
     * @type {function(import('ol/coordinate').Coordinate, unknown): unknown}
     */
    callback: (arg0: import("ol/coordinate").Coordinate, arg1: unknown) => unknown;
    /**
     * @type {?import('ol/Overlay').default}
     */
    overlay_: import("ol/Overlay").default | null;
    /**
     * @type {number?}
     */
    longPressTimeout_: number | null;
    /**
     * @type {angular.ICompileService}
     */
    $compile_: angular.ICompileService;
    /**
     * @type {angular.ITimeoutService}
     */
    timeout_: angular.ITimeoutService;
    /**
     * @type {angular.IScope}
     */
    $scope_: angular.IScope;
    /**
     * @type {import('gmf/raster/RasterService').RasterService}
     */
    gmfRaster_: import("gmf/raster/RasterService").RasterService;
    /**
     * @type {import('gmf/options').gmfContextualDataOptions}
     */
    gmfContextualDataOptions_: import("gmf/options").gmfContextualDataOptions;
    /**
     * @type {import('ngeo/misc/AutoProjection').AutoProjectionService}
     */
    ngeoAutoProjection: import("ngeo/misc/AutoProjection").AutoProjectionService;
    /**
     * Init
     */
    init(): void;
    /**
     * @param {TouchEvent} event Event.
     */
    handleMapTouchStart_(event: TouchEvent): void;
    handleMapTouchEnd_(): void;
    /**
     * @param {UIEvent} event Event.
     */
    handleMapContextMenu_(event: UIEvent): void;
    /**
     * @param {number[]} coordinate
     */
    setContent_(coordinate: number[]): void;
    preparePopover_(): void;
    content_: HTMLElement;
    showPopover(): void;
    hidePopover(): void;
}
export namespace ContextualdataController {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
