export default GmfExternalDatasourceOGC;
/**
 * Legend for external layers
 */
export type Legend = {
    name: string;
    url: string;
    title: string;
};
/**
 * Legend for external layers
 *
 * @typedef {Object} Legend
 * @property {string} name
 * @property {string} url
 * @property {string} title
 */
declare class GmfExternalDatasourceOGC extends gmfDatasourceOGC {
    /**
     * A `gmf.externalDatasource.OGC` extends a `gmf.datasource.OGC` and
     * adds some properties that are proper to GMF and external dataSource only.
     *
     * @param {import('gmf/datasource/OGC').OGCOptions} options Options.
     * @param {Legend} legend The legend object.
     */
    constructor(options: import("gmf/datasource/OGC").OGCOptions, legend: Legend);
    /**
     * @type Legend
     * @private
     */
    private legend_;
    /**
     * @returns {Legend}  legend objects
     */
    get legend(): Legend;
}
import gmfDatasourceOGC from 'gmf/datasource/OGC';
