/**
 * The options required to create a `OGCGroup`.
 *
 * extends GroupOptions
 *
 * @typedef {Object} OGCGroupOptions
 * @property {string} url The OGC service url. Used as a unique identifier for the group object itself.
 * @property {import('ngeo/datasource/DataSource').default[]} dataSources (GroupOptions)
 * @property {string} title (GroupOptions)
 */
/**
 * @hidden
 */
export default class _default extends ngeoDatasourceGroup {
    /**
     * A OGCGroup data source combines multiple `ngeo.datasource.OGC` objects.
     *
     * @param {OGCGroupOptions} options Options.
     */
    constructor(options: OGCGroupOptions);
    /**
     * @type {string}
     * @private
     */
    private url_;
    /**
     * @returns {string} URL
     */
    get url(): string;
}
/**
 * The options required to create a `OGCGroup`.
 *
 * extends GroupOptions
 */
export type OGCGroupOptions = {
    /**
     * The OGC service url. Used as a unique identifier for the group object itself.
     */
    url: string;
    /**
     * (GroupOptions)
     */
    dataSources: import("ngeo/datasource/DataSource").default[];
    /**
     * (GroupOptions)
     */
    title: string;
};
import ngeoDatasourceGroup from 'ngeo/datasource/Group';
