/**
 * @hidden
 */
export class EditingEnumerateAttributeService {
    /**
     * The EnumerateAttribute is responsible of fetching all possible of a given
     * attribute of a given data source (gmf layer).
     *
     * @param {angular.IHttpService} $http Angular $http service.
     * @param {string} gmfLayersUrl URL to the GeoMapFish layers service.
     * @ngdoc service
     * @ngname gmfEnumerateAttribute
     */
    constructor($http: angular.IHttpService, gmfLayersUrl: string);
    /**
     * @type {angular.IHttpService}
     * @private
     */
    private http_;
    /**
     * @type {string}
     * @private
     */
    private baseUrl_;
    /**
     * @type {Object<string, angular.IPromise<import('gmf/themes').GmfLayerAttributeValue[]>>}
     * @private
     */
    private promises_;
    /**
     * @param {import('gmf/datasource/OGC').default} dataSource Data source.
     * @param {string} attribute Attribute name.
     * @returns {angular.IPromise<import('gmf/themes').GmfLayerAttributeValue[]>} Promise.
     */
    getAttributeValues(dataSource: import("gmf/datasource/OGC").default, attribute: string): angular.IPromise<import("gmf/themes").GmfLayerAttributeValue[]>;
}
export namespace EditingEnumerateAttributeService {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
