/**
 * An service used to fetch the XSD attribute definition of layers using their
 * id from a GeoMapFish server.
 *
 * @class
 * @param {angular.IHttpService} $http Angular http service.
 * @param {string} gmfLayersUrl URL to the GeoMapFish layers service.
 * @hidden
 */
export function EditingXSDAttributeService($http: angular.IHttpService, gmfLayersUrl: string): void;
export class EditingXSDAttributeService {
    /**
     * An service used to fetch the XSD attribute definition of layers using their
     * id from a GeoMapFish server.
     *
     * @class
     * @param {angular.IHttpService} $http Angular http service.
     * @param {string} gmfLayersUrl URL to the GeoMapFish layers service.
     * @hidden
     */
    constructor($http: angular.IHttpService, gmfLayersUrl: string);
    /**
     * @type {angular.IHttpService}
     */
    http_: angular.IHttpService;
    /**
     * @type {string}
     */
    baseUrl_: string;
    /**
     * @type {Object<number, angular.IPromise<import('ngeo/format/Attribute').Attribute[]>>}
     */
    promises_: {
        [x: number]: angular.IPromise<import("ngeo/format/Attribute").Attribute[]>;
    };
    /**
     * @param {number} id Layer id.
     * @returns {angular.IPromise<import('ngeo/format/Attribute').Attribute[]>} Promise.
     */
    getAttributes(id: number): angular.IPromise<import("ngeo/format/Attribute").Attribute[]>;
}
export namespace EditingXSDAttributeService {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
