/**
 * @hidden
 */
export class Controller {
    /**
     * @param {angular.IScope} $scope Angular scope.
     * @param {JQuery} $element Element.
     * @param {import('gmf/options').gmfFloors} gmfFloors Floor dimension values and labels.
     * @ngdoc controller
     * @ngname GmfFilterselectorController
     */
    constructor($scope: angular.IScope, $element: JQuery, gmfFloors: import("gmf/options").gmfFloors);
    /**
     * @type {import('gmf/options').gmfFloors}
     */
    items: import("gmf/options").gmfFloors;
    /**
     * @type {number}
     */
    size: number;
    /**
     * @type {string}
     */
    value: string;
    /**
     * @type {number}
     */
    currentIndex: number;
    /**
     * @type {number}
     * @private
     */
    private lowerBound_;
    /**
     * @type {number}
     * @private
     */
    private upperBound_;
    scope: angular.IScope;
    element: JQuery<HTMLElement>;
    $postLink(): void;
    /**
     * @private
     */
    private valueChanged_;
    /**
     * @param {number} delta Signed number of floors to move.
     */
    move(delta: number): void;
}
export namespace Controller {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {!angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
