/**
 * @typedef {Object} Element
 * @property {string} name
 * @property {string} alias
 * @property {string} [minOccurs]
 * @property {string} type
 */
/**
 * @hidden
 */
export default class _default {
    /**
     * A format that reads the complexType from a WFS DescribeFeatureType
     * response for a single set of attributes and return an array of
     * `Attribute`.
     */
    /**
     * @param {Element[]} complexTypeElements Complex type element
     * @returns {import('ngeo/format/Attribute').Attribute[]} Attributes
     */
    read(complexTypeElements: Element[]): import("ngeo/format/Attribute").Attribute[];
    /**
     * @param {import('ngeo/format/Attribute').Attribute} attribute
     * @param {string} type the type
     */
    setAttributeType(attribute: import("ngeo/format/Attribute").Attribute, type: string): void;
    /**
     * @param {Element} object Complex type element
     * @returns {import('ngeo/format/Attribute').Attribute} Attribute
     * @private
     */
    private readFromComplexTypeElement_;
}
export type Element = {
    name: string;
    alias: string;
    minOccurs?: string;
    type: string;
};
