/**
 * Returns the first geometry attribute among a given list of attributes.
 *
 * @param {import('ngeo/format/Attribute').Attribute[]} attributes The list of attributes.
 * @returns {?import('ngeo/format/Attribute').Attribute} A geometry attribute object.
 * @hidden
 */
export function getGeometryAttribute(attributes: import("ngeo/format/Attribute").Attribute[]): import("ngeo/format/Attribute").Attribute | null;
/**
 * *
 */
export type FormatNumberType = string;
export namespace FormatNumberType {
    let FLOAT: string;
    let INTEGER: string;
}
export default XSDAttribute;
/**
 * Reads attributes that are defined in XSD format and return them as a list.
 *
 * @private
 * @hidden
 */
declare class XSDAttribute extends olFormatXML {
    /**
     * @param {Document|Element|string} source Source.
     * @returns {import('ngeo/format/Attribute').Attribute[]} The parsed result.
     * @override
     */
    override read(source: Document | Element | string): import("ngeo/format/Attribute").Attribute[];
    /**
     * @param {Document} doc Document.
     * @returns {?import('ngeo/format/Attribute').Attribute[]} List of attributes.
     * @override
     */
    override readFromDocument(doc: Document): import("ngeo/format/Attribute").Attribute[] | null;
    /**
     * @param {Element} node Node.
     * @returns {import('ngeo/format/Attribute').Attribute[]} List of attributes.
     * @override
     */
    override readFromNode(node: Element): import("ngeo/format/Attribute").Attribute[];
    /**
     * @param {Node} node Node.
     * @returns {?import('ngeo/format/Attribute').Attribute} An attribute object.
     * @private
     */
    private readFromElementNode_;
    /**
     * Set the `type` and `numType` properties of an attribute depending on the
     * given xsdType.
     *
     * @param {import('ngeo/format/Attribute').AttributeBase} attribute Attribute.
     * @param {string} type The xsd type.
     * @private
     */
    private setAttributeByXsdType_;
}
import olFormatXML from 'ol/format/XML';
