/**
 * @class
 * @hidden
 * @param {angular.IScope} $scope The directive's scope.
 * @param {JQuery} $element Element.
 * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext service.
 * @param {import('ngeo/options').ngeoGeolocationOptions} ngeoGeolocationOptions The options.
 * @ngdoc controller
 * @ngname ngeoGeolocationController
 */
export function Controller($scope: angular.IScope, $element: JQuery, gettextCatalog: angular.gettext.gettextCatalog, ngeoGeolocationOptions: import("ngeo/options").ngeoGeolocationOptions): void;
export class Controller {
    /**
     * @class
     * @hidden
     * @param {angular.IScope} $scope The directive's scope.
     * @param {JQuery} $element Element.
     * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext service.
     * @param {import('ngeo/options').ngeoGeolocationOptions} ngeoGeolocationOptions The options.
     * @ngdoc controller
     * @ngname ngeoGeolocationController
     */
    constructor($scope: angular.IScope, $element: JQuery, gettextCatalog: angular.gettext.gettextCatalog, ngeoGeolocationOptions: import("ngeo/options").ngeoGeolocationOptions);
    options: import("ngeo/options").ngeoGeolocationOptions;
    /**
     * @type {angular.IScope}
     */
    $scope_: angular.IScope;
    /**
     * @type {angular.gettext.gettextCatalog}
     */
    gettextCatalog_: angular.gettext.gettextCatalog;
    /**
     * @type {import('ol/Map').default}
     */
    map: import("ol/Map").default;
    /**
     * A flag used to determine if the application has finished loading.
     *
     * @type {boolean}
     */
    loading: boolean;
    /**
     */
    $onInit(): void;
    /**
     * @type {import('ngeo/map/FeatureOverlay').FeatureOverlay}
     */
    featureOverlay_: import("ngeo/map/FeatureOverlay").FeatureOverlay;
    /**
     * @type {import('ol/Geolocation').default}
     */
    geolocation_: import("ol/Geolocation").default;
    /**
     * @type {olFeature<import('ol/geom/Geometry').default>}
     */
    positionFeature_: olFeature<import("ol/geom/Geometry").default>;
    /**
     * @type {olFeature<import('ol/geom/Geometry').default>}
     */
    accuracyFeature_: olFeature<import("ol/geom/Geometry").default>;
    /**
     * Whether to recenter the map at the position it gets updated
     *
     * @type {boolean}
     */
    follow_: boolean;
    /**
     * A flag used to determine whether the view was changed by me or something
     * else. In the latter case, stop following.
     *
     * @type {boolean}
     */
    viewChangedByMe_: boolean;
    /**
     */
    toggleTracking(): void;
    track_(): void;
    untrack_(): void;
    setPosition_(): void;
    /**
     * @param {Event|import('ol/events/Event').default} event Event.
     */
    handleViewChange_(event: Event | import("ol/events/Event").default): void;
    autoRotateListener(): void;
    /**
     * Handle rotation.
     *
     * @param {number} eventAlpha
     * @param {number} currentAlpha
     * @returns {number}
     */
    handleRotate_(eventAlpha: number, currentAlpha: number): number;
}
export namespace Controller {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
import olFeature from 'ol/Feature';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
