/**
 * @hidden
 */
export class Controller {
    /**
     * @param {import('gmf/datasource/ExternalDataSourcesManager').ExternalDatSourcesManager} gmfExternalDataSourcesManager
     *     GMF service responsible of managing external data sources.
     * @ngdoc controller
     * @ngname GmfWmscapabilitylayertreenodeController
     */
    constructor(gmfExternalDataSourcesManager: import("gmf/datasource/ExternalDataSourcesManager").ExternalDatSourcesManager);
    /**
     * WMS Capabilities definition
     *
     * @type {Object}
     */
    capabilities: Object;
    /**
     * WMS Capability Layer object.
     *
     * @type {Object}
     */
    layer: Object;
    /**
     * The original server url that was used to build the WMS GetCapabilities
     * request.
     *
     * @type {?string}
     */
    url: string | null;
    /**
     * @type {import('gmf/datasource/ExternalDataSourcesManager').ExternalDatSourcesManager}
     * @private
     */
    private gmfExternalDataSourcesManager_;
    /**
     * @param {Object} layer WMS Capability Layer object
     */
    createAndAddDataSource(layer: Object): void;
    /**
     * @param {Object} layer WMS Capability Layer object
     * @returns {string} Unique id for the Capability Layer.
     */
    getUid(layer: Object): string;
}
export namespace Controller {
    let $inject: string[];
}
export default myModule;
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
import angular from 'angular';
