/**
 * @hidden
 */
export class Controller {
    /**
     * @param {import('gmf/datasource/ExternalDataSourcesManager').ExternalDatSourcesManager} gmfExternalDataSourcesManager
     *     GMF service responsible of managing external data sources.
     * @ngdoc controller
     * @ngname GmfWmtscapabilitylayertreeController
     */
    constructor(gmfExternalDataSourcesManager: import("gmf/datasource/ExternalDataSourcesManager").ExternalDatSourcesManager);
    /**
     * WMS Capabilities definition
     *
     * @type {Object}
     */
    capabilities: Object;
    /**
     * List of WMTS Capability Layer objects.
     *
     * @type {Object[]}
     */
    layers: Object[];
    /**
     * The original WMTS GetCapabilities url that was used to fetch the
     * capability layers.
     *
     * @type {?string}
     */
    url: string | null;
    /**
     * @type {import('gmf/datasource/ExternalDataSourcesManager').ExternalDatSourcesManager}
     * @private
     */
    private gmfExternalDataSourcesManager_;
    /**
     * @param {unknown} layer WMTS Capability Layer object
     */
    createAndAddDataSource(layer: unknown): void;
    /**
     * @param {unknown} layer WMTS Capability Layer object
     * @returns {string} Unique id for the Capability Layer.
     */
    getUid(layer: unknown): string;
}
export namespace Controller {
    let $inject: string[];
}
export default myModule;
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
import angular from 'angular';
