/**
 * Interaction dedicated to measure length.
 *
 * See our live example: [../examples/measure.html](../examples/measure.html)
 */
export default class _default extends ngeoInteractionMeasure {
    /**
     * @param {import('ngeo/misc/filters').unitPrefix} format The format function
     * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext catalog.
     * @param {import('ngeo/interaction/Measure').MeasureOptions} [options] Options
     */
    constructor(format: import("ngeo/misc/filters").unitPrefix, gettextCatalog: angular.gettext.gettextCatalog, options?: import("ngeo/interaction/Measure").MeasureOptions);
    /**
     * The format function
     *
     * @type {import('ngeo/misc/filters').unitPrefix}
     */
    format: import("ngeo/misc/filters").unitPrefix;
    /**
     * @param {import('ol/style/Style').StyleLike} style The sketchStyle used for the drawing
     *    interaction.
     * @param {import('ol/source/Vector').default<import('ol/geom/Polygon').default>} source Vector source.
     * @returns {olInteractionDraw|import('ngeo/interaction/MobileDraw').default} The interaction
     */
    createDrawInteraction(style: import("ol/style/Style").StyleLike, source: import("ol/source/Vector").default<import("ol/geom/Polygon").default>): olInteractionDraw | import("ngeo/interaction/MobileDraw").default;
}
import ngeoInteractionMeasure from 'ngeo/interaction/Measure';
import olInteractionDraw from 'ol/interaction/Draw';
