/**
 * Interaction dedicated to measure by coordinate (point) on mobile devices.
 *
 * @hidden
 */
export default class _default extends ngeoInteractionMeasure {
    /**
     * @param {import('ngeo/misc/filters').numberCoordinates} format the number formatter
     * @param {string} coordFormat the coordinates formatter
     * @param {import('ngeo/interaction/Measure').MeasureOptions} [options] Options
     */
    constructor(format: import("ngeo/misc/filters").numberCoordinates, coordFormat: string, options?: import("ngeo/interaction/Measure").MeasureOptions);
    /**
     * @type {import('ngeo/misc/filters').numberCoordinates}
     * @private
     */
    private format_;
    /**
     * @type {string}
     * @private
     */
    private coordFormat_;
    /**
     * @param {import('ol/style/Style').StyleLike} style The sketchStyle used for the drawing
     *    interaction.
     * @param {import('ol/source/Vector').default<import('ol/geom/Point').default>} source Vector source.
     * @returns {import('ol/interaction/Draw').default|import('ngeo/interaction/DrawAzimut').default|
     *    import('ngeo/interaction/MobileDraw').default} The interaction
     */
    createDrawInteraction(style: import("ol/style/Style").StyleLike, source: import("ol/source/Vector").default<import("ol/geom/Point").default>): import("ol/interaction/Draw").default | import("ngeo/interaction/DrawAzimut").default | import("ngeo/interaction/MobileDraw").default;
}
import ngeoInteractionMeasure from 'ngeo/interaction/Measure';
