import { LidarprofileClientConfig as GmfLidarprofileUtilsLidarprofileClientConfig } from 'ngeo/lidar/Utils';
export type LidarprofileServerConfigClassification = {
    /**
     * Color
     */
    color?: string;
    /**
     * Name
     */
    name?: string;
    /**
     * Value
     */
    value?: string;
    /**
     * Visible (Value can be 1 or 0)
     */
    visible?: number;
};
export type LidarprofileServerConfigClassifications = {
    [x: number]: LidarprofileServerConfigClassification;
};
type LidarprofileServerConfigLevel = {
    /**
     * Max
     */
    max?: number;
    /**
     * Width
     */
    width?: number;
};
export type LidarprofileServerConfigLevels = {
    [x: number]: LidarprofileServerConfigLevel;
};
export type LidarprofileServerConfigPointAttribute = {
    /**
     * Bytes
     */
    bytes?: number;
    /**
     * Elements
     */
    elements?: number;
    /**
     * Name
     */
    name?: string;
    /**
     * Value
     */
    value?: string;
    /**
     * Visible
     */
    visible?: number;
};
export type LidarprofileServerConfigPointAttributes = {
    [x: string]: LidarprofileServerConfigPointAttribute;
};
type LidarprofileServerConfig = {
    /**
     * Classes names normalized
     */
    classes_names_normalized?: {
        [x: number]: string;
    };
    /**
     * Classes names standard
     */
    classes_names_standard?: {
        [x: number]: string;
    };
    /**
     * Classification colors
     */
    classification_colors?: LidarprofileServerConfigClassifications;
    /**
     * Debug
     */
    debug?: boolean;
    /**
     * Default attribute
     */
    default_attribute?: string;
    /**
     * Default color
     */
    default_color?: string;
    /**
     * Default point
     * attribute
     */
    default_point_attribute?: string;
    /**
     * Default point cloud
     */
    default_point_cloud?: string;
    /**
     * Initial LOD
     */
    initialLOD?: number;
    /**
     * Max levels
     */
    max_levels?: LidarprofileServerConfigLevels;
    /**
     * Max point number
     */
    max_point_number?: number;
    /**
     * Min LOD
     */
    minLOD?: number;
    /**
     * Point attributes
     */
    point_attributes?: LidarprofileServerConfigPointAttributes;
    /**
     * Point size
     */
    point_size?: number;
    /**
     * Vertical pan tolerance
     */
    vertical_pan_tolerance?: number;
    /**
     * Width
     */
    width?: number;
};
export declare class LidarprofileConfigService {
    pytreeLidarprofileJsonUrl: string;
    loaded: boolean;
    /**
     * The client configuration.
     */
    clientConfig: GmfLidarprofileUtilsLidarprofileClientConfig;
    /**
     * The configuration from the LIDAR server.
     */
    serverConfig: undefined | LidarprofileServerConfig;
    /**
     * Configuration service to configure the gmf.lidarPanelComponent and gmf.lidarprofile instance
     * Requires a Pytree service: https://github.com/sitn/pytree
     */
    constructor();
    /**
     * Initialize the service variables from Pytree profile_config_gmf2 route.
     * @returns Promise<void | Response> The server configuration.
     */
    initProfileConfig(): Promise<void | Response>;
}
declare const gmfLidarprofileConfig: LidarprofileConfigService;
export default gmfLidarprofileConfig;
