import { LidarprofileManager as GmfLidarprofileManagerLidarprofileManager } from 'ngeo/lidar/Manager';
import { LidarPoint as GmfLidarprofileUtilsLidarPoint } from 'ngeo/lidar/Utils';
export default class {
    /**
     * @private
     */
    manager_: GmfLidarprofileManagerLidarprofileManager;
    /**
     * @private
     */
    pStart_: GmfLidarprofileUtilsLidarPoint;
    /**
     * @private
     */
    pEnd_: GmfLidarprofileUtilsLidarPoint;
    /**
     * Measure tool for the d3 chart.
     * @param gmfLidarprofileManagerInstance
     *    gmf lidar profile manager instance
     */
    constructor(gmfLidarprofileManagerInstance: GmfLidarprofileManagerLidarprofileManager);
    /**
     * Clear the current measure.
     */
    clearMeasure(): void;
    /**
     * Activate the measure tool.
     */
    setMeasureActive(): void;
    /**
     * Measure and display height after two click on the profile.
     * @param event Event .
     */
    measureHeight(event: MouseEvent): void;
}
