import { BehaviorSubject } from 'rxjs';
import OlGeomLineString from 'ol/geom/LineString';
/**
 * Object used to expose the OpenLayer map.
 *
 * Example of usage:
 * ```js
 *    (window as any).gmfapi.store.line.getLine().subscribe({
 *      next: (line: OlGeomLineString) => {
 *        if (line) {
 *          ...
 *        }
 *      },
 *    })
 * ```
 */
export declare class LineModel {
    /**
     * The observable line's properties.
     * @private
     */
    line_: BehaviorSubject<OlGeomLineString>;
    /**
     * Get the lines.
     * @returns {BehaviorSubject<OlGeomLineString>} The existing line.
     */
    getLine(): BehaviorSubject<OlGeomLineString>;
    /**
     * Set the line.
     * @param line The line
     */
    setLine(line: OlGeomLineString): void;
}
declare const line: LineModel;
export default line;
