/**
 * @param {JQuery} $element Element.
 * @param {angular.IFilterService} $filter Angular filter.
 * @param {angular.IScope} $scope Angular scope.
 * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext catalog.
 * @param {import('gmf/options').gmfMousePositionOptions} gmfMousePositionOptions The options.
 * @class
 * @hidden
 * @ngdoc controller
 * @ngname gmfMousepositionController
 */
export function Controller($element: JQuery, $filter: angular.IFilterService, $scope: angular.IScope, gettextCatalog: angular.gettext.gettextCatalog, gmfMousePositionOptions: import("gmf/options").gmfMousePositionOptions): void;
export class Controller {
    /**
     * @param {JQuery} $element Element.
     * @param {angular.IFilterService} $filter Angular filter.
     * @param {angular.IScope} $scope Angular scope.
     * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext catalog.
     * @param {import('gmf/options').gmfMousePositionOptions} gmfMousePositionOptions The options.
     * @class
     * @hidden
     * @ngdoc controller
     * @ngname gmfMousepositionController
     */
    constructor($element: JQuery, $filter: angular.IFilterService, $scope: angular.IScope, gettextCatalog: angular.gettext.gettextCatalog, gmfMousePositionOptions: import("gmf/options").gmfMousePositionOptions);
    /**
     * @type {import('gmf/options').gmfMousePositionOptions}
     */
    options_: import("gmf/options").gmfMousePositionOptions;
    /**
     * @type {?import('ol/Map').default}
     */
    map: import("ol/Map").default | null;
    /**
     * @type {?import('gmf/options').MousePositionProjection[]}
     */
    projections: import("gmf/options").MousePositionProjection[] | null;
    /**
     * @type {?import('gmf/options').MousePositionProjection}
     */
    projection: import("gmf/options").MousePositionProjection | null;
    /**
     * @type {angular.IScope}
     */
    $scope_: angular.IScope;
    /**
     * @type {angular.gettext.gettextCatalog}
     */
    gettextCatalog_: angular.gettext.gettextCatalog;
    /**
     * @type {JQuery}
     */
    $element_: JQuery;
    /**
     * @type {angular.IFilterService}
     */
    $filter_: angular.IFilterService;
    /**
     * @type {?import('ol/control/MousePosition').default}
     */
    control_: import("ol/control/MousePosition").default | null;
    /**
     * Initialize the controller.
     */
    $onInit(): void;
    /**
     * Init the ol.control.MousePosition
     */
    initOlControl_(): void;
    /**
     * @param {import('gmf/options').MousePositionProjection} projection The new projection to use.
     */
    setProjection(projection: import("gmf/options").MousePositionProjection): void;
}
export namespace Controller {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
