/**
 * The controller for the Mapswipe component.
 */
export class SwipeController {
    /**
     * @param {angular.IScope} $scope Angular scope.
     * @param {JQuery} $element Element.
     * @class
     * @hidden
     * @ngdoc controller
     * @ngname ngeoMapswipeController
     */
    constructor($scope: angular.IScope, $element: JQuery);
    /**
     * @type {import('ol/Map').default}
     */
    map: import("ol/Map").default;
    /**
     * @type {import('ol/layer/WebGLTile').default<import('ol/source/Tile').default>}
     */
    layer: import("ol/layer/WebGLTile").default<import("ol/source/Tile").default>;
    /**
     * @type {angular.IScope}
     * @private
     */
    private scope_;
    /**
     * @type {number}
     */
    swipeValue: number;
    /**
     * @type {JQuery}
     * @private
     */
    private draggableElement_;
    /**
     * @type {import('ol/events').EventsKey[]}
     * @private
     */
    private listenerKeys_;
    /**
     * @type {ResizeObserver}
     * @private
     */
    private resizeObserver_;
    /**
     * Init the controller
     */
    $onInit(): void;
    /**
     * Allows you to deactivate the swiper on click of the close button.
     */
    deactivate(): void;
    /**
     * @param {?Event|import('ol/events/Event').default} evt OpenLayers object event.
     * @private
     */
    private handleLayerPrerender_;
    /**
     * Will monkey-patch the context to make sure that clear() calls will not
     * take into account any scissor test previously set.
     * @param {WebGLRenderingContext} gl WebGL Context
     * @private
     */
    private fixWebGLContextScissorClear;
    /**
     * @param {?Event|import('ol/events/Event').default} evt OpenLayers object event.
     * @private
     */
    private handleLayerPostrender_;
    /**
     * Called when the visibility of the layer changes. If it is no longer visible, deactivate the swipe component.
     *
     * @private
     */
    private handleLayerVisibleChange_;
    /**
     * Called when the rotation of the view changes. If the view is rotated, deactivate the swipe component.
     *
     * @private
     */
    private handleViewRotationChange_;
    $onDestroy(): void;
}
export namespace SwipeController {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
