import 'bootstrap/js/src/alert';
import ngeoMessageMessage, { Message } from 'ngeo/message/Message';
type CacheItem = {
    el: Element;
    promise?: number;
};
/**
 * Provides methods to display any sort of messages, notifications, errors,
 * etc. Requires Bootstrap library (both CSS and JS) to display the alerts
 * properly.
 * @abstract
 */
export declare class MessageNotification extends ngeoMessageMessage {
    /**
     * @private
     */
    container_: HTMLElement;
    /**
     * @private
     */
    cache_: {
        [key: string]: CacheItem;
    };
    /**
     * Provides methods to display any sort of messages, notifications, errors,
     * etc. Requires Bootstrap library (both CSS and JS) to display the alerts
     * properly.
     */
    constructor();
    /**
     * Display the given message string or object or list of message strings or
     * objects.
     * @param object
     *     A message or list of messages as text or configuration objects.
     */
    notify(object: string | string[] | Message | Message[]): void;
    /**
     * Clears all messages that are currently being shown.
     */
    clear(): void;
    /**
     * @override
     * @param message Message.
     */
    showMessage(message: Message): void;
    /**
     * Clear a message using its cache item.
     * @param item Cache item.
     * @private
     */
    clearMessageByCacheItem_(item: CacheItem): void;
}
declare const ngeoMessageNotification: MessageNotification;
export default ngeoMessageNotification;
