/**
 * @hidden
 */
export class Controller {
    /**
     * @param {JQuery} $element Element.
     * @param {angular.ISCEService} $sce Angular sce service.
     * @param {angular.IScope} $scope Scope.
     * @param {angular.ICompileService} $compile The compile provider.
     * @ngdoc controller
     * @ngname ngeoDisplaywindowComponentController
     */
    constructor($element: JQuery, $sce: angular.ISCEService, $scope: angular.IScope, $compile: angular.ICompileService);
    /**
     * @type {boolean}
     */
    clearOnClose: boolean;
    /**
     * @type {?string}
     */
    content: string | null;
    /**
     * @type {?string}
     */
    contentTemplate: string | null;
    /**
     * @type {?angular.IScope}
     */
    contentScope: angular.IScope | null;
    /**
     * @type {boolean}
     */
    draggable: boolean;
    /**
     * @type {Element|string}
     */
    draggableContainment: Element | string;
    /**
     * @type {boolean}
     */
    desktop: boolean;
    /**
     * @type {string}
     */
    height: string;
    /**
     * @type {boolean}
     */
    open: boolean;
    /**
     * @type {boolean}
     */
    resizable: boolean;
    /**
     * @type {?string}
     */
    title: string | null;
    /**
     * @type {?string}
     */
    url: string | null;
    /**
     * @type {string}
     */
    width: string;
    /**
     * @type {JQuery}
     * @private
     */
    private element_;
    /**
     * @type {angular.ISCEService}
     * @private
     */
    private sce_;
    /**
     * @type {angular.IScope}
     * @private
     */
    private scope_;
    /**
     * @type {angular.ICompileService}
     * @private
     */
    private compile_;
    /**
     * Called on initialization of the component.
     */
    $onInit(): void;
    /**
     * @type {Element}
     */
    containingElement: Element;
    /**
     *  @private
     */
    private updateContentTemplate_;
    /**
     */
    close(): void;
    /**
     * @returns {Object<string, string>} CSS style when using width/height
     */
    get style(): {
        [x: string]: string;
    };
    maxWidth: number;
    maxHeight: number;
    /**
     * @returns {string|undefined} Trusted url.
     */
    get urlTrusted(): string;
    /**
     */
    clear_(): void;
}
export namespace Controller {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
