/**
 * The controller for the 'popover' directive.
 *
 * @class
 * @ngdoc controller
 * @ngname NgeoPopoverController
 * @param {angular.IScope} $scope Scope.
 * @hidden
 */
export function PopoverController($scope: angular.IScope): void;
export class PopoverController {
    /**
     * The controller for the 'popover' directive.
     *
     * @class
     * @ngdoc controller
     * @ngname NgeoPopoverController
     * @param {angular.IScope} $scope Scope.
     * @hidden
     */
    constructor($scope: angular.IScope);
    /**
     * The state of the popover (displayed or not)
     *
     * @type {boolean}
     */
    shown: boolean;
    /**
     * @type {?JQuery}
     */
    anchorElm: JQuery | null;
    /**
     * @type {?JQuery}
     */
    bodyElm: JQuery | null;
    /**
     * Dismiss popover function
     */
    dismissPopover(): void;
}
export namespace PopoverController {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
