/**
 * Provides methods to manage the listening/unlistening of OpenLayers events
 *
 * @class
 * @ngdoc service
 * @ngname ngeoEventHelper
 * @hidden
 */
export function EventHelper(): void;
export class EventHelper {
    /**
     * @type {Object<number | string, import('ol/events').EventsKey[]>}
     */
    listenerKeys_: any;
    /**
     * Utility method to add a listener key bound to a unique id. The key has
     * to come from `ol.events`.
     *
     * @param {number|string} uid Unique id.
     * @param {import('ol/events').EventsKey} key Key.
     */
    addListenerKey(uid: number | string, key: import("ol/events").EventsKey): void;
    /**
     * Clear all listener keys from the given unique id.
     *
     * @param {number|string} uid Unique id.
     */
    clearListenerKey(uid: number | string): void;
    /**
     * Utility method that does 2 things:
     * - initialize the listener keys of a given uid with an array (if that key
     *   has not array set yet)
     * - unlisten any events if the array already exists for the given uid and
     *   empty the array.
     *
     * @param {number|string} uid Unique id.
     */
    initListenerKey_(uid: number | string): void;
}
export default myModule;
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
import angular from 'angular';
