/**
 * @class
 * @param {angular.IQService} $q .
 * @param {angular.IHttpService} $http .
 * @param {angular.gettext.gettextFunction} gettext .
 * @hidden
 */
export function FileService($q: angular.IQService, $http: angular.IHttpService, gettext: angular.gettext.gettextFunction): void;
export class FileService {
    /**
     * @class
     * @param {angular.IQService} $q .
     * @param {angular.IHttpService} $http .
     * @param {angular.gettext.gettextFunction} gettext .
     * @hidden
     */
    constructor($q: angular.IQService, $http: angular.IHttpService, gettext: angular.gettext.gettextFunction);
    /**
     * @param {number} fileSize
     * @returns {boolean}
     */
    isValidFileSize: (fileSize: number) => boolean;
    /**
     * @param {string} fileContent
     * @returns {boolean}
     */
    isWmsGetCap: (fileContent: string) => boolean;
    /**
     * @param {string} fileContent
     * @returns {boolean}
     */
    isWmtsGetCap: (fileContent: string) => boolean;
    /**
     * @param {string} fileContent
     * @returns {boolean}
     */
    isKml: (fileContent: string) => boolean;
    /**
     * @param {string} fileContent
     * @returns {boolean}
     */
    isGpx: (fileContent: string) => boolean;
    /**
     * @param {Blob} file .
     * @returns {angular.IPromise<string>} .
     */
    read: (file: Blob) => angular.IPromise<string>;
    /**
     * @param {string} url .
     * @param {angular.IDeferred<unknown>} [opt_cancelP] .
     * @returns {angular.IPromise<Blob>} .
     */
    load: (url: string, opt_cancelP?: angular.IDeferred<unknown>) => angular.IPromise<Blob>;
}
export namespace FileService {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
