/**
 * ngeo - Time service
 *
 * @class
 * @ngdoc service
 * @ngname ngeoTime
 * @hidden
 */
export function Time(): void;
export class Time {
    /**
     * @param {?number|string|undefined} value The value
     * @param {?Date} defaultValue The default value
     * @returns {?Date} the date
     */
    createDate(value: (number | string | undefined) | null, defaultValue?: Date | null): Date | null;
    /**
     * @param {?Date} date The date
     * @param {?number} defaultValue The default value
     * @returns {?number} the time
     */
    getTime(date: Date | null, defaultValue?: number | null): number | null;
    /**
     * Get options regarding the time property of a node;
     *
     * @param {import('ngeo/datasource/OGC').TimeProperty} time the time property of a node
     * @returns {{
     *  minDate: number,
     *  maxDate: number,
     *  values: (number[]|number)
     * }} - Configuration for the UI components
     */
    getOptions(time: import("ngeo/datasource/OGC").TimeProperty): {
        minDate: number;
        maxDate: number;
        values: (number[] | number);
    };
    /**
     * Time.prototype.getUTCDate - Get UTC date from a local date object
     *
     * @param  {Date} localDate local date object in
     * @returns {Date} UTC date
     */
    getUTCDate(localDate: Date): Date;
}
export default myModule;
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
import angular from 'angular';
