/**
 * A simple object that can be managed by `ngeo.misc.ToolActivateMgr`.
 *
 * See our live examples:
 * [../examples/mapquery.html](../examples/mapquery.html)
 * [../examples/toolActivate.html](../examples/toolActivate.html)
 *
 * @param {unknown} toolContext An object which acts as the context for the tool.
 * @param {string} activePropertyName The name of a boolean property on
 *      `toolContext` which represents the active state of the tool.
 * @class
 * @ngname ngeoToolActivate
 */
export default function _default(toolContext: unknown, activePropertyName: string): void;
export default class _default {
    /**
     * A simple object that can be managed by `ngeo.misc.ToolActivateMgr`.
     *
     * See our live examples:
     * [../examples/mapquery.html](../examples/mapquery.html)
     * [../examples/toolActivate.html](../examples/toolActivate.html)
     *
     * @param {unknown} toolContext An object which acts as the context for the tool.
     * @param {string} activePropertyName The name of a boolean property on
     *      `toolContext` which represents the active state of the tool.
     * @class
     * @ngname ngeoToolActivate
     */
    constructor(toolContext: unknown, activePropertyName: string);
    /**
     * A getter function to get the active state of the tool.
     *
     * @returns {boolean} Is active.
     */
    getActive: () => boolean;
    /**
     * A setter function to set the active state of the tool.
     *
     * @param {boolean} newVal New active state.
     */
    setActive: (newVal: boolean) => void;
}
