export default myModule;
export type Coordinates = {
    x: number;
    y: number;
};
export type EventHandlers = {
    start?: (arg0: Coordinates, arg1: JQuery.Event) => void;
    end?: (arg0: Coordinates, arg1: JQuery.Event) => void;
    cancel?: (arg0: JQuery.TriggeredEvent<unknown, undefined, unknown, unknown> | JQuery.Event) => void;
    move?: (arg0: Coordinates, arg1: JQuery.Event) => void;
};
/**
 * @typedef {Object} Coordinates
 * @property {number} x
 * @property {number} y
 */
/**
 * @typedef {Object} EventHandlers
 * @property {function(Coordinates, JQuery.Event): void} [start]
 * @property {function(Coordinates, JQuery.Event): void} [end]
 * @property {function(JQuery.TriggeredEvent<?, undefined, ?, ?>|JQuery.Event): void} [cancel]
 * @property {function(Coordinates, JQuery.Event): void} [move]
 */
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
import angular from 'angular';
