/**
 * Base controller class for Length and Area components.
 *
 * @param {angular.IScope} $scope Angular scope.
 * @param {angular.IFilterService} $filter Angular filter
 * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext catalog.
 * @class
 * @ngdoc controller
 * @ngname GmfMobileMeasureBaseController
 * @hidden
 */
export function MeasueMobileBaseController($scope: angular.IScope, $filter: angular.IFilterService, gettextCatalog: angular.gettext.gettextCatalog): void;
export class MeasueMobileBaseController {
    /**
     * Base controller class for Length and Area components.
     *
     * @param {angular.IScope} $scope Angular scope.
     * @param {angular.IFilterService} $filter Angular filter
     * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext catalog.
     * @class
     * @ngdoc controller
     * @ngname GmfMobileMeasureBaseController
     * @hidden
     */
    constructor($scope: angular.IScope, $filter: angular.IFilterService, gettextCatalog: angular.gettext.gettextCatalog);
    /**
     * @type {angular.IScope}
     */
    scope: angular.IScope;
    /**
     * @type {angular.IFilterService}
     */
    filter: angular.IFilterService;
    /**
     * @type {angular.gettext.gettextCatalog}
     */
    gettextCatalog: angular.gettext.gettextCatalog;
    /**
     * @type {?import('ol/Map').default}
     */
    map: import("ol/Map").default | null;
    /**
     * @type {boolean}
     */
    active: boolean;
    /**
     * @type {?import('ngeo/interaction/Measure').default}
     */
    measure: import("ngeo/interaction/Measure").default | null;
    /**
     * @type {?import('ngeo/interaction/MobileDraw').default}
     */
    drawInteraction: import("ngeo/interaction/MobileDraw").default | null;
    /**
     * @type {boolean}
     */
    dirty: boolean;
    /**
     * @type {boolean}
     */
    drawing: boolean;
    /**
     * @type {boolean}
     */
    valid: boolean;
    /**
     * Initialize the controller.
     */
    init(): void;
}
export namespace MeasueMobileBaseController {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
