/**
 * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext catalog.
 * @param {angular.IScope} $scope Angular scope.
 * @param {angular.IFilterService} $filter Angular filter service.
 * @param {import('gmf/raster/RasterService').RasterService} gmfRaster gmf Raster service.
 * @param {import('ngeo/misc/debounce').miscDebounce<function(): void>} ngeoDebounce ngeo Debounce factory.
 * @param {import('gmf/options').gmfMobileMeasurePointOptions} gmfMobileMeasurePointOptions The options.
 * @class
 * @hidden
 * @ngdoc controller
 * @ngname GmfMobileMeasurePointController
 */
export function MobileMeasurePointController(gettextCatalog: angular.gettext.gettextCatalog, $scope: angular.IScope, $filter: angular.IFilterService, gmfRaster: import("gmf/raster/RasterService").RasterService, ngeoDebounce: import("ngeo/misc/debounce").miscDebounce<() => void>, gmfMobileMeasurePointOptions: import("gmf/options").gmfMobileMeasurePointOptions): void;
export class MobileMeasurePointController {
    /**
     * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext catalog.
     * @param {angular.IScope} $scope Angular scope.
     * @param {angular.IFilterService} $filter Angular filter service.
     * @param {import('gmf/raster/RasterService').RasterService} gmfRaster gmf Raster service.
     * @param {import('ngeo/misc/debounce').miscDebounce<function(): void>} ngeoDebounce ngeo Debounce factory.
     * @param {import('gmf/options').gmfMobileMeasurePointOptions} gmfMobileMeasurePointOptions The options.
     * @class
     * @hidden
     * @ngdoc controller
     * @ngname GmfMobileMeasurePointController
     */
    constructor(gettextCatalog: angular.gettext.gettextCatalog, $scope: angular.IScope, $filter: angular.IFilterService, gmfRaster: import("gmf/raster/RasterService").RasterService, ngeoDebounce: import("ngeo/misc/debounce").miscDebounce<() => void>, gmfMobileMeasurePointOptions: import("gmf/options").gmfMobileMeasurePointOptions);
    /**
     * @type {import('gmf/options').gmfMobileMeasurePointOptions}
     */
    options: import("gmf/options").gmfMobileMeasurePointOptions;
    /**
     * @type {import('gmf/raster/RasterService').RasterService}
     */
    gmfRaster_: import("gmf/raster/RasterService").RasterService;
    /**
     * @type {import('ngeo/misc/debounce').miscDebounce<function(): void>}
     */
    ngeoDebounce_: import("ngeo/misc/debounce").miscDebounce<() => void>;
    /**
     * @type {angular.gettext.gettextCatalog}
     */
    gettextCatalog_: angular.gettext.gettextCatalog;
    /**
     * @type {angular.IFilterService}
     */
    $filter_: angular.IFilterService;
    /**
     * @type {?import('ol/Map').default}
     */
    map: import("ol/Map").default | null;
    /**
     * @type {boolean}
     */
    active: boolean;
    /**
     * @type {?import('ngeo/interaction/MeasurePointMobile').default}
     */
    measure: import("ngeo/interaction/MeasurePointMobile").default | null;
    /**
     * @type {?import('ngeo/interaction/MobileDraw').default}
     */
    drawInteraction: import("ngeo/interaction/MobileDraw").default | null;
    /**
     * The key for map view 'propertychange' event.
     *
     * @type {?import('ol/events').EventsKey}
     */
    mapViewPropertyChangeEventKey_: import("ol/events").EventsKey | null;
    /**
     * Initialize the controller.
     */
    init(): void;
    /**
     * Deactivate the directive.
     */
    deactivate(): void;
    /**
     * @param {string} str String to translate.
     * @returns {string} The translated text.
     */
    translate(str: string): string;
    /**
     * Called when the measure becomes active or inactive. Act accordingly:
     * - on activate, listen to the map property changes to call for the elevation
     *   service.
     * - on deactivate, unlisten
     *
     * @hidden
     */
    handleMeasureActiveChange_(): void;
    /**
     * Call the elevation service to get information about the measure at
     * the current map center location.
     *
     * @hidden
     */
    getMeasure_(): void;
}
export namespace MobileMeasurePointController {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
