/**
 * @class
 * @hidden
 * @ngdoc controller
 * @ngname gmfMobileNavController
 */
export function Controller(): void;
export class Controller {
    /**
     * Stack of slid-in items.
     *
     * @type {JQuery[]}
     */
    slid_: JQuery[];
    /**
     * Currently active sliding box.
     *
     * @type {?JQuery}
     */
    active_: JQuery | null;
    /**
     * The navigation header.
     *
     * @type {?JQuery}
     */
    header_: JQuery | null;
    /**
     * The back button in the navigation header.
     *
     * @type {?JQuery}
     */
    backButton_: JQuery | null;
    /**
     * Export the back function already bound to `this`. This makes sure that
     * the function is called on the right context, when it is passed to an
     * attribute in a template
     */
    back: () => void;
    /**
     * Initialize the directive with the linked element.
     *
     * @param {JQuery<HTMLElement>} element Element.
     */
    init(element: JQuery<HTMLElement>): void;
    /**
     * @param {JQuery} active The currently active sliding box.
     * @param {boolean} back Whether to move back.
     */
    updateNavigationHeader_(active: JQuery, back: boolean): void;
    /**
     * Return to the previous slide.
     */
    back_(): void;
    /**
     * Return to the previous slide if the given element is active.
     *
     * @param {Element} element The element to check.
     */
    backIfActive(element: Element): void;
}
export default myModule;
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
import angular from 'angular';
