/**
 * Determines whether a given geometry is empty or not. A null or undefined
 * value can be given for convenience, i.e. when using methods than can
 * return a geometry or not, for example:
 * `gmf.objectediting.geom.isEmpty(feature.getGeometry())`.
 *
 * @param {?import('ol/geom/Geometry').default|undefined} geom Geometry.
 * @returns {boolean} Whether the given geometry is empty or not. A null or
 *     undefined geometry is considered empty.
 * @hidden
 */
export function isEmpty(geom: (import("ol/geom/Geometry").default | undefined) | null): boolean;
/**
 * Convert all coordinates within a geometry object to XY, i.e. remove any
 * extra dimension other than X and Y to the coordinates of a geometry.
 *
 * @param {import('ol/geom/Geometry').default} geom Geometry
 * @hidden
 */
export function toXY(geom: import("ol/geom/Geometry").default): void;
