/**
 * implements {import('ngeo/offline/index').OfflineOnTileDownload}
 */
declare class _ngInjectAnonymousClass extends olObservable {
    /**
     * @param {!angular.IScope} $rootScope The rootScope provider.
     * @param {!import('ngeo/map/BackgroundLayerMgr').MapBackgroundLayerManager} ngeoBackgroundLayerMgr
     *    Background layer manager.
     * @param {number} ngeoOfflineGutter A gutter around the tiles to download (to avoid cut symbols)
     */
    constructor($rootScope: angular.IScope, ngeoBackgroundLayerMgr: import("ngeo/map/BackgroundLayerMgr").MapBackgroundLayerManager, ngeoOfflineGutter: number);
    localforage_: any;
    /**
     * @private
     * @type {!angular.IScope}
     */
    private rootScope_;
    /**
     * @protected
     * @type {boolean}
     */
    protected hasData: boolean;
    /**
     * @private
     * @type {!import('ngeo/map/BackgroundLayerMgr').MapBackgroundLayerManager}
     */
    private ngeoBackgroundLayerMgr_;
    /**
     * @private
     * @type {SerializerDeserializer}
     */
    private serDes_;
    /**
     * @private
     * @type {number}
     */
    private gutter_;
    /**
     * @private
     * @param {number} progress new progress.
     */
    private dispatchProgress_;
    /**
     * @protected
     */
    protected initializeHasOfflineData(): void;
    /**
     * @export
     * @returns {boolean} whether some offline data is available in the storage
     */
    hasOfflineData(): boolean;
    /**
     * @param {boolean} value whether there is offline data available in the storage.
     */
    setHasOfflineData(value: boolean): void;
    /**
     * Hook to allow measuring get/set item performance.
     *
     * @param {string} msg A message
     * @param {string} key The key to work on
     * @param {Promise<?>} promise A promise
     * @returns {Promise<?>} The promise we passed
     */
    traceGetSetItem(msg: string, key: string, promise: Promise<unknown>): Promise<unknown>;
    createLocalforage(): any;
    configureLocalforage(): void;
    /**
     * @param {string} key The key
     * @returns {Promise<?>} A promise
     */
    getItem(key: string): Promise<unknown>;
    /**
     * @param {string} key .
     * @returns {Promise<?>} .
     */
    removeItem(key: string): Promise<unknown>;
    /**
     * @param {string} key The key
     * @param {*} value A value
     * @returns {Promise<?>} A promise
     */
    setItem(key: string, value: any): Promise<unknown>;
    /**
     * @returns {Promise<void>} A promise
     */
    clear(): Promise<void>;
    /**
     * @param {!import('ol/Map').default} map A map
     * @returns {number} An "estimation" of the size of the data to download
     */
    estimateLoadDataSize(map: import("ol/Map").default): number;
    /**
     * @param {import('./index').OfflineLayerMetadata} layerItem The layer metadata
     * @returns {string} A key identifying an offline layer and used during restore.
     */
    getLayerKey(layerItem: import("./index").OfflineLayerMetadata): string;
    /**
     * @param {number} progress The download progress
     * @param {import('./index').OfflineTile} tile The tile
     * @returns {Promise<void>} A promise
     */
    onTileDownloadSuccess(progress: number, tile: import("./index").OfflineTile): Promise<void>;
    /**
     * @param {number} progress The progress
     * @returns {Promise<void>} A promise
     */
    onTileDownloadError(progress: number): Promise<void>;
    /**
     * @param {import('ol/Map').default} map A map
     * @param {import('ol/layer/Layer').default<import('ol/source/Source').default>} layer A layer
     * @param {import('ol/layer/Group').default[]} ancestors The ancestors of that layer
     * @param {import('ol/extent').Extent} userExtent The extent selected by the user.
     * @returns {import('./index').OfflineExtentByZoom[]} The extent to download per zoom level
     */
    getExtentByZoom(map: import("ol/Map").default, layer: import("ol/layer/Layer").default<import("ol/source/Source").default>, ancestors: import("ol/layer/Group").default[], userExtent: import("ol/extent").Extent): import("./index").OfflineExtentByZoom[];
    /**
     * @protected
     * @param {import('ol/source/Source').default} source An ImageWMS source
     * @param {!import('ol/proj/Projection').default} projection The projection
     * @returns {import('ol/source/Source').default} A tiled equivalent source
     */
    protected sourceImageWMSToTileWMS(source: import("ol/source/Source").default, projection: import("ol/proj/Projection").default): import("ol/source/Source").default;
    /**
     * @param {import('ol/Map').default} map The map to work on.
     * @param {import('ol/extent').Extent} userExtent The extent selected by the user.
     * @returns {!import('./index').OfflineLayerMetadata[]} the downloadable layers and metadata.
     */
    createLayerMetadatas(map: import("ol/Map").default, userExtent: import("ol/extent").Extent): import("./index").OfflineLayerMetadata[];
    /**
     * @private
     * @param {import('./index').OfflinePersistentLayer} offlineLayer The offline layer
     * @returns {function(import('ol/ImageTile').default, string)} the tile function
     */
    private createTileLoadFunction_;
    /**
     * @param {import('./index').OfflinePersistentLayer} offlineLayer The layer to recreate
     * @returns {?import('ol/layer/Layer').default<import('ol/source/Source').default>} the layer.
     */
    recreateOfflineLayer(offlineLayer: import("./index").OfflinePersistentLayer): import("ol/layer/Layer").default<import("ol/source/Source").default> | null;
    /**
     * @returns {number} The number
     */
    getMaxNumberOfParallelDownloads(): number;
}
declare namespace _ngInjectAnonymousClass {
    let $inject: string[];
}
export default _ngInjectAnonymousClass;
import olObservable from 'ol/Observable';
