export default exports;
export type Action = {
    command: string;
    args: string[];
};
/**
 * @typedef {Object} Action
 * @property {string} command
 * @property {string[]} args
 */
declare const exports: {
    new (): {
        /**
         * @param {Action} action
         * @override
         */
        postToBackend(action: Action): void;
        /**
         * @export
         * @param {string} actionString .
         */
        receiveFromIos(actionString: string): void;
        waitingPromises_: Map<any, any>;
        currentId_: number;
        setItem(...args: unknown[]): Promise<void>;
        getItem(...args: unknown[]): Promise<void>;
        clear(): Promise<void>;
        config(...args: unknown[]): Promise<void>;
        createAction(command: string, ...args: unknown[]): Promise<void>;
        receiveMessage(event: any): void;
    };
};
