/**
 * @typedef {Object} Options
 * @property {number} [margin]
 * @property {number} [extentInMeters]
 */
/**
 * @augments {Layer<import('ol/source/Source').default>}
 */
export default class Mask extends Layer<import("ol/source/Source").default, import("ol/renderer/Layer").default<any>> {
    /**
     * @param {import('ol/layer/Layer').Options<import('ol/source/Source').default>} layerOptions
     * @param {Options} maskOptions
     */
    constructor(layerOptions?: import("ol/layer/Layer").Options<import("ol/source/Source").default>, maskOptions?: Options);
    /**
     * @private
     */
    private context_;
    margin_: number;
    extentInMeters_: number;
    /**
     * @param {import('ol/coordinate').Coordinate} center center, a xy point.
     * @param {number} halfLength a half length of a square's side.
     * @returns {import('ol/extent').Extent} an extent.
     */
    createExtent(center: import("ol/coordinate").Coordinate, halfLength: number): import("ol/extent").Extent;
    /**
     * @param {import("ol/Map").FrameState} frameState
     * @returns {HTMLElement}
     */
    render(frameState: import("ol/Map").FrameState): HTMLElement;
}
export type Options = {
    margin?: number;
    extentInMeters?: number;
};
import Layer from 'ol/layer/Layer';
