export default Mode;
declare class Mode {
    /**
     * @param {import('ngeo/offline/Configuration').default} ngeoOfflineConfiguration
     * ngeo offline configuration service.
     * @ngdoc service
     * @ngname ngeoOfflineState
     */
    constructor(ngeoOfflineConfiguration: import("ngeo/offline/Configuration").default);
    /**
     * Offline mode is enabled or not.
     *
     * @type {boolean}
     * @private
     */
    private enabled_;
    /**
     * Offline component.
     *
     * @type {?import('ngeo/offline/component').Controller}
     * @private
     */
    private component_;
    /**
     * @private
     * @type {import('ngeo/offline/Configuration').default}
     */
    private ngeoOfflineConfiguration_;
    /**
     * Return if we are in offline mode.
     *
     * @returns {boolean} whether offline mode is enabled
     * @export
     */
    isEnabled(): boolean;
    /**
     * Enable offline mode. ATM we cannot escape from the offline mode.
     *
     * @export
     */
    enable(): void;
    /**
     *
     * @param {import('ngeo/offline/component').Controller} component Offline component.
     * @export
     */
    registerComponent(component: import("ngeo/offline/component").Controller): void;
    /**
     * @export
     */
    activateOfflineMode(): void;
    /**
     * @returns {boolean} True if data are accessible offline.
     * @export
     */
    hasData(): boolean;
}
declare namespace Mode {
    export let $inject: string[];
    export { myModule as module };
}
/**
 * @type {!angular.IModule}
 */
declare const myModule: angular.IModule;
import angular from 'angular';
