export default exports;
declare const exports: typeof Restorer;
declare class Restorer {
    /**
     * @param {import('ngeo/offline/Configuration').default} ngeoOfflineConfiguration
     *    A service for customizing offline behavior.
     * @param {import('ngeo/map/BackgroundLayerMgr').MapBackgroundLayerManager} ngeoBackgroundLayerMgr
     *    The background layer manager.
     */
    constructor(ngeoOfflineConfiguration: import("ngeo/offline/Configuration").default, ngeoBackgroundLayerMgr: import("ngeo/map/BackgroundLayerMgr").MapBackgroundLayerManager);
    /**
     * @private
     * @type {import('ngeo/offline/Configuration').default}
     */
    private configuration_;
    /**
     * @private
     * @type {import('ngeo/map/BackgroundLayerMgr').MapBackgroundLayerManager}
     */
    private ngeoBackgroundLayerMgr_;
    /**
     * @param {import('ol/Map').default} map The map to work on.
     * @returns {Promise<import('ol/extent').Extent>} A promise to the extent of the restored area.
     */
    restore(map: import("ol/Map").default): Promise<import("ol/extent").Extent>;
    /**
     * @protected
     * @param {import('ol/Map').default} map A map
     * @param {import('./index').OfflinePersistentContent} offlineContent The offline content
     * @returns {import('ol/extent').Extent} The extent of the restored area
     */
    protected doRestore(map: import("ol/Map").default, offlineContent: import("./index").OfflinePersistentContent): import("ol/extent").Extent;
}
declare namespace Restorer {
    let $inject: string[];
    let module: angular.IModule;
}
import angular from 'angular';
