export default exports;
declare const exports: {
    new ({ gutter }: unknown): {
        /**
         * @private
         */
        gutter_: any;
        /**
         * @private
         * @param {import('ol/Object').default} olObject An OL object
         * @returns {Object<string, string|number|string[]|boolean>} The serializable properties of the object
         */
        createBaseObject_(olObject: import("ol/Object").default): {
            [x: string]: string | number | string[] | boolean;
        };
        /**
         * @param {OlTilegridTileGrid} tilegrid .
         * @returns {string} .
         */
        serializeTilegrid(tilegrid: OlTilegridTileGrid): string;
        /**
         * @param {string} serialization .
         * @returns {OlTilegridTileGrid} tilegrid
         */
        deserializeTilegrid(serialization: string): OlTilegridTileGrid;
        /**
         * @param {OlTilegridWMTS} tilegrid .
         * @returns {string|undefined} .
         */
        serializeTilegridWMTS(tilegrid: OlTilegridWMTS): string | undefined;
        /**
         * @param {string} serialization .
         * @returns {OlTilegridWMTS} tilegrid .
         */
        deserializeTilegridWMTS(serialization: string): OlTilegridWMTS;
        /**
         * @param {OlSourceTileWMS} source .
         * @returns {string} .
         */
        serializeSourceTileWMS(source: OlSourceTileWMS): string;
        /**
         * @param {string} serialization .
         * @param {function(import('ol/ImageTile').default, string): void} [tileLoadFunction] .
         * @returns {OlSourceTileWMS} source .
         */
        deserializeSourceTileWMS(serialization: string, tileLoadFunction?: (arg0: import("ol/ImageTile").default, arg1: string) => void): OlSourceTileWMS;
        /**
         * @param {OlSourceWMTS} source .
         * @returns {string} .
         */
        serializeSourceWMTS(source: OlSourceWMTS): string;
        /**
         * @param {string} serialization .
         * @param {function(import('ol/ImageTile').default, string): void} [tileLoadFunction] .
         * @returns {OlSourceWMTS} .
         */
        deserializeSourceWMTS(serialization: string, tileLoadFunction?: (arg0: import("ol/ImageTile").default, arg1: string) => void): OlSourceWMTS;
        /**
         * @private
         * @param {number} number Some number which may be Infinity
         * @returns {number} The same number or an arbitrary big number instead of Infinity
         */
        makeInfinitySerializable_(number: number): number;
        /**
         * @param {!import('ol/layer/WebGLTile').default<import('ol/source/Tile').default>|import('ol/layer/Image').default<import('ol/source/Image').default>} layer .
         * @param {import('ol/source/Source').default} [source] .
         * @returns {string} .
         */
        serializeTileLayer(layer: import("ol/layer/WebGLTile").default<import("ol/source/Tile").default> | import("ol/layer/Image").default<import("ol/source/Image").default>, source?: import("ol/source/Source").default): string;
        /**
         * @param {string} serialization .
         * @param {function(import('ol/ImageTile').default, string): void} [tileLoadFunction] .
         * @returns {!import('ol/layer/WebGLTile').default<import('ol/source/Tile').default>} .
         */
        deserializeTileLayer(serialization: string, tileLoadFunction?: (arg0: import("ol/ImageTile").default, arg1: string) => void): import("ol/layer/WebGLTile").default<import("ol/source/Tile").default>;
    };
};
import OlTilegridTileGrid from 'ol/tilegrid/TileGrid';
import OlTilegridWMTS from 'ol/tilegrid/WMTS';
import OlSourceTileWMS from 'ol/source/TileWMS';
import OlSourceWMTS from 'ol/source/WMTS';
