export default class TileDownloader {
    /**
     * @param {import('./index').OfflineTile[]} tiles An array of tiles to download.
     * @param {import('./index').OfflineOnTileDownload} callbacks The callbacks.
     * @param {number} workers The maximum number of workers.
     */
    constructor(tiles: import("./index").OfflineTile[], callbacks: import("./index").OfflineOnTileDownload, workers: number);
    /**
     * @private
     * @type {number}
     */
    private maxNumberOfWorkers_;
    /**
     * @private
     */
    private wasStarted_;
    /**
     * @type {import('./index').OfflineTile[]}
     * @private
     */
    private tiles_;
    /**
     * @private
     * @type {import('./index').OfflineOnTileDownload}
     */
    private callbacks_;
    /**
     * @private
     */
    private allCount_;
    /**
     * @private
     */
    private okCount_;
    /**
     * @private
     */
    private koCount_;
    /**
     * @private
     */
    private requestedCount_;
    /**
     * @private
     * @type {?function(): unknown}
     */
    private resolvePromise_;
    /**
     * @private
     * @type {?Promise<void>}
     */
    private promise_;
    /**
     * @type {number}
     * @private
     */
    private tileIndex_;
    /**
     * @type {boolean}
     * @private
     */
    private cancel_;
    cancel(): void;
    /**
     * @returns {Promise<void>} A promise that resolves when the downloads are complete (failing or not)
     */
    download(): Promise<void>;
    /**
     * @private
     */
    private downloadTile_;
}
