/**
 * @hidden
 */
export class OlcsService {
    /**
     * @param {import('ngeo/misc/debounce').miscDebounce<function(): void>} ngeoDebounce ngeo debounce
     *    service.
     * @param {import('ngeo/statemanager/Location').StatemanagerLocation} ngeoLocation ngeo location
     *    service.
     * @param {import('ngeo/statemanager/Service').StatemanagerService} ngeoStateManager The ngeo
     *    StateManager service.
     */
    constructor(ngeoDebounce: import("ngeo/misc/debounce").miscDebounce<() => void>, ngeoLocation: import("ngeo/statemanager/Location").StatemanagerLocation, ngeoStateManager: import("ngeo/statemanager/Service").StatemanagerService);
    /**
     * @private
     * @type {?import('olcs/contrib/Manager').default}
     */
    private manager_;
    /**
     * @private
     * @type {import('ngeo/misc/debounce').miscDebounce<function(): void>}
     */
    private ngeoDebounce_;
    /**
     * @private
     * @type {import('ngeo/statemanager/Location').StatemanagerLocation}
     */
    private ngeoLocation_;
    /**
     * @private
     * @type {import('ngeo/statemanager/Service').StatemanagerService}
     */
    private ngeoStateManager_;
    /**
     * @param {import('olcs/contrib/Manager').default} manager Manager.
     */
    initialize(manager: any): void;
    /**
     * @returns {?import('olcs/contrib/Manager').default} the manager.
     */
    getManager(): any | null;
    /**
     * @private
     * @returns {Promise<undefined>} A promise after load & enabled.
     */
    private initialStateToCamera_;
    /**
     * @private
     */
    private cameraToState_;
    /**
     * @private
     */
    private remove3dState_;
}
export namespace OlcsService {
    let $inject: string[];
}
export default myModule;
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
import angular from 'angular';
