/**
 * @hidden
 */
export class Controller {
    /**
     * @param {JQuery} $element The element
     * @param {import('ngeo/olcs/Service').OlcsService} ngeoOlcsService The ol-cesium service.
     */
    constructor($element: JQuery, ngeoOlcsService: import("ngeo/olcs/Service").OlcsService);
    /**
     * @type {JQuery}
     * @private
     */
    private element_;
    /**
     * @type {?import('olcs/contrib/Manager').default}
     */
    ol3dm: any | null;
    /**
     * @type {number}
     */
    minTilt: number;
    /**
     * @type {number}
     * @private
     */
    private maxTilt;
    /**
     * @type {?JQuery}
     * @private
     */
    private tiltRightEl_;
    /**
     * @type {?JQuery}
     * @private
     */
    private tiltLeftEl_;
    /**
     * @type {?JQuery}
     * @private
     */
    private rotation3dEl_;
    /**
     * @type {?JQuery}
     * @private
     */
    private angle3dEl_;
    /**
     * @type {number}
     * @private
     */
    private previousRotation_;
    /**
     * @type {?Cesium.Matrix4}
     * @private
     */
    private previousViewMatrix_;
    /**
     * @type {number}
     * @private
     */
    private animationFrameRequestId_;
    /**
     * @type {import('ngeo/olcs/Service').OlcsService}
     * @private
     */
    private olcsService_;
    updateWidget_(): void;
    $onDestroy(): void;
    $onInit(): void;
    /**
     * @param {JQuery} element Element to rotate.
     * @param {(number|undefined)} angle Angle in radians
     * @private
     */
    private rotateElement_;
    /**
     * @param {number} angle Angle in degrees.
     */
    rotate(angle: number): void;
    /**
     * @param {number} angle Angle in degrees.
     */
    tilt(angle: number): void;
    /**
     * @param {number} delta 1 to zoom out and 1 to zoom in.
     */
    zoom(delta: number): void;
}
export namespace Controller {
    let $inject: string[];
}
export default myModule;
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
import angular from 'angular';
