/**
 * @hidden
 */
export class ShareComponentController {
    /**
     * The controller for the share component
     *
     * @param {angular.IScope} $scope Scope.
     * @param {import('ngeo/statemanager/Location').StatemanagerLocation} ngeoLocation ngeo Location service.
     * @param {import('gmf/permalink/ShareService').PermalinkShareService} gmfShareService service for
     *    sharing map.
     * @param {angular.IQService} $q Angular q service
     * @param {angular.IAttributes} $attrs Attributes.
     * @param {import('gmf/options').gmfShareOptions} gmfShareOptions The options.
     * @class
     * @ngdoc controller
     * @ngname GmfShareController
     */
    constructor($scope: angular.IScope, ngeoLocation: import("ngeo/statemanager/Location").StatemanagerLocation, gmfShareService: import("gmf/permalink/ShareService").PermalinkShareService, $q: angular.IQService, $attrs: angular.IAttributes, gmfShareOptions: import("gmf/options").gmfShareOptions);
    options: import("gmf/options").gmfShareOptions;
    /**
     * @type {string}
     */
    uid: string;
    /**
     * @type {angular.IScope}
     * @private
     */
    private $scope_;
    /**
     * @type {import('gmf/permalink/ShareService').PermalinkShareService}
     * @private
     */
    private gmfShareService_;
    /**
     * @type {angular.IQService}
     * @private
     */
    private $q_;
    /**
     * @type {import('ngeo/statemanager/Location').StatemanagerLocation}
     * @private
     */
    private ngeoLocation_;
    /**
     * @type {string}
     */
    shortLink: string;
    /**
     * @type {string}
     */
    email: string;
    /**
     * @type {string}
     */
    message: string;
    /**
     * @type {string}
     * @private
     */
    private permalink_;
    /**
     * @type {boolean}
     */
    showLengthWarning: boolean;
    /**
     * @type {boolean}
     */
    successfullySent: boolean;
    /**
     * @type {boolean}
     */
    errorOnsend: boolean;
    /**
     * @type {boolean}
     */
    isFinishedState: boolean;
    /**
     * @type {boolean}
     */
    errorOnGetShortUrl: boolean;
    /**
     * Get the short version of the permalink if the email is not provided
     */
    getShortUrl(): void;
    /**
     * Send the short version of the permalink if the email is provided
     */
    sendShortUrl(): void;
}
export namespace ShareComponentController {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
