/**
 * The Raster service.
 * Uses the c2cgeoportal's raster to obtain different kinds of
 * information at a specific coordinate.
 *
 * @class
 * @param {angular.IHttpService} $http Angular http service.
 * @param {string} gmfRasterUrl URL to a the c2cgeoportal raster service.
 * @ngdoc service
 * @ngname gmfRaster
 * @hidden
 */
export function RasterService($http: angular.IHttpService, gmfRasterUrl: string): void;
export class RasterService {
    /**
     * The Raster service.
     * Uses the c2cgeoportal's raster to obtain different kinds of
     * information at a specific coordinate.
     *
     * @class
     * @param {angular.IHttpService} $http Angular http service.
     * @param {string} gmfRasterUrl URL to a the c2cgeoportal raster service.
     * @ngdoc service
     * @ngname gmfRaster
     * @hidden
     */
    constructor($http: angular.IHttpService, gmfRasterUrl: string);
    /**
     * @type {angular.IHttpService}
     */
    $http_: angular.IHttpService;
    /**
     * @type {string}
     */
    url_: string;
    /**
     * @param {import('ol/coordinate').Coordinate} coordinate Coordinate.
     * @param {Object<string, string|number>} [opt_params] Optional parameters for the request.
     * @returns {angular.IPromise<Object<string, number>>} Promise.
     */
    getRaster(coordinate: import("ol/coordinate").Coordinate, opt_params?: {
        [x: string]: string | number;
    }): angular.IPromise<{
        [x: string]: number;
    }>;
    private handleGetRaster_;
}
export namespace RasterService {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
