/**
 * @hidden
 * @param {angular.IScope} $scope Scope.
 * @param {angular.IFilterService} $filter Angular filter.
 * @param {import('ngeo/misc/debounce').miscDebounce<function(Event|import('ol/events/Event').default): void>} ngeoDebounce Ngeo debounce factory
 * @param {import('gmf/raster/RasterService').RasterService} gmfRaster Gmf Raster service
 * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext catalog.
 * @param {import('gmf/options').gmfElevationOptions} gmfElevationOptions The options
 * @class
 * @hidden
 * @ngdoc controller
 * @ngname gmfElevationController
 */
export function Controller($scope: angular.IScope, $filter: angular.IFilterService, ngeoDebounce: import("ngeo/misc/debounce").miscDebounce<(arg0: Event | import("ol/events/Event").default) => void>, gmfRaster: import("gmf/raster/RasterService").RasterService, gettextCatalog: angular.gettext.gettextCatalog, gmfElevationOptions: import("gmf/options").gmfElevationOptions): void;
export class Controller {
    /**
     * @hidden
     * @param {angular.IScope} $scope Scope.
     * @param {angular.IFilterService} $filter Angular filter.
     * @param {import('ngeo/misc/debounce').miscDebounce<function(Event|import('ol/events/Event').default): void>} ngeoDebounce Ngeo debounce factory
     * @param {import('gmf/raster/RasterService').RasterService} gmfRaster Gmf Raster service
     * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext catalog.
     * @param {import('gmf/options').gmfElevationOptions} gmfElevationOptions The options
     * @class
     * @hidden
     * @ngdoc controller
     * @ngname gmfElevationController
     */
    constructor($scope: angular.IScope, $filter: angular.IFilterService, ngeoDebounce: import("ngeo/misc/debounce").miscDebounce<(arg0: Event | import("ol/events/Event").default) => void>, gmfRaster: import("gmf/raster/RasterService").RasterService, gettextCatalog: angular.gettext.gettextCatalog, gmfElevationOptions: import("gmf/options").gmfElevationOptions);
    /**
     * @type {import('gmf/options').gmfElevationOptions}
     */
    options: import("gmf/options").gmfElevationOptions;
    filter_: angular.IFilterService;
    ngeoDebounce_: import("ngeo/misc/debounce").miscDebounce<(arg0: Event | import("ol/events/Event").default) => void>;
    gmfRaster_: import("gmf/raster/RasterService").RasterService;
    gettextCatalog: angular.gettext.gettextCatalog;
    /**
     * @type {boolean}
     */
    active: boolean;
    /**
     * @type {?string}
     */
    elevation: string | null;
    /**
     * @type {string}
     */
    layer: string;
    /**
     * @type {?import('ol/Map').default}
     */
    map: import("ol/Map").default | null;
    /**
     * @type {import('ol/events').EventsKey[]}
     */
    listenerKeys_: import("ol/events").EventsKey[];
    /**
     * @type {angular.IScope}
     */
    scope_: angular.IScope;
    /**
     * @type {boolean}
     */
    inViewport_: boolean;
    /**
     * @type {boolean}
     */
    loading: boolean;
    private toggleActive_;
    /**
     * Activate the listeners of the component.
     */
    activate_(): void;
    /**
     * Deactivate the listeners of the component
     */
    deactivate_(): void;
    /**
     * Clears previously displayed raster info and set inViewport_ to true.
     */
    onPointerMove_(): void;
    /**
     * Set the state of the component and query the raster service with the coordinate.
     *
     * @param {Event|import('ol/events/Event').default} evt Event.
     */
    afterPointerMove_(evt: Event | import("ol/events/Event").default): void;
    /**
     * Clears previously displayed raster info and set inViewport_ to false.
     */
    onMouseout_(): void;
    /**
     * @param {Object<string, number>} resp Response of the get Raster service.
     */
    getRasterSuccess_(resp: {
        [x: string]: number;
    }): void;
    getRasterError_(): void;
    /**
     * Clear the state.
     */
    clear_(): void;
}
export namespace Controller {
    let $inject: string[];
}
/**
 * @class
 * @hidden
 * @ngdoc controller
 * @param {import('gmf/options').gmfElevationOptions} gmfElevationOptions The options.
 */
export function WidgetController(gmfElevationOptions: import("gmf/options").gmfElevationOptions): void;
export class WidgetController {
    /**
     * @class
     * @hidden
     * @ngdoc controller
     * @param {import('gmf/options').gmfElevationOptions} gmfElevationOptions The options.
     */
    constructor(gmfElevationOptions: import("gmf/options").gmfElevationOptions);
    options: import("gmf/options").gmfElevationOptions;
    /**
     * @type {?import('ol/Map').default}
     */
    map: import("ol/Map").default | null;
    /**
     * @type {boolean}
     */
    active: boolean;
    /**
     * @type {boolean}
     */
    show: boolean;
    /**
     * @type {string}
     */
    selectedElevationLayer: string;
}
export namespace WidgetController {
    let $inject_1: string[];
    export { $inject_1 as $inject };
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
