/**
 * Provides the c2c-geoportal full-text search.
 *
 * @param {angular.IHttpService} $http Angular http service.
 * @param {string} fulltextsearchUrl The service URL.
 * @class
 * @ngname gmfFulltextSearch
 * @hidden
 */
export function FulltextSearchService($http: angular.IHttpService, fulltextsearchUrl: string): void;
export class FulltextSearchService {
    /**
     * Provides the c2c-geoportal full-text search.
     *
     * @param {angular.IHttpService} $http Angular http service.
     * @param {string} fulltextsearchUrl The service URL.
     * @class
     * @ngname gmfFulltextSearch
     * @hidden
     */
    constructor($http: angular.IHttpService, fulltextsearchUrl: string);
    /**
     * @type {angular.IHttpService}
     */
    $http_: angular.IHttpService;
    /**
     * @type {string}
     */
    url_: string;
    /**
     * @type {string}
     */
    baseUrl_: string;
    /**
     * @type {Object<string, string>}
     */
    defaultParams_: {
        [x: string]: string;
    };
    /**
     * Perform a search query on the c2c-geoportal full-text search.
     *
     * @param {string} query Search query.
     * @param {Object<string, string>} params Additional parameters.
     * @returns {Promise<import('geojson').FeatureCollection>} Request promise with data array.
     */
    search(query: string, params: {
        [x: string]: string;
    }): Promise<import("geojson").FeatureCollection>;
}
export namespace FulltextSearchService {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
