/**
 * @param {string} url an URL to a search service.
 * @param {(function(GeoJSON.Feature): boolean)} [opt_filter] function to filter results.
 * @param {import('ol/proj/Projection').default} [opt_featureProjection] Feature projection.
 * @param {import('ol/proj/Projection').default} [opt_dataProjection] Data projection.
 * @param {Bloodhound.BloodhoundOptions<GeoJSON.FeatureCollection>} [opt_options] optional Bloodhound options. If
 *     undefined, the default Bloodhound config will be used.
 * @param {Bloodhound.RemoteOptions<GeoJSON.FeatureCollection>} [opt_remoteOptions] optional Bloodhound
 * remote options. Effective only if `remote` is not defined in `opt_options`.
 * @returns {Bloodhound<import('ol/Feature').default<import('ol/geom/Geometry').default>[]>} The Bloodhound object.
 * @hidden
 */
export function createGeoJSONBloodhound(url: string, opt_filter?: ((arg0: GeoJSON.Feature) => boolean), opt_featureProjection?: import("ol/proj/Projection").default, opt_dataProjection?: import("ol/proj/Projection").default, opt_options?: Bloodhound.BloodhoundOptions<GeoJSON.FeatureCollection>, opt_remoteOptions?: Bloodhound.RemoteOptions<GeoJSON.FeatureCollection>): Bloodhound<import("ol/Feature").default<import("ol/geom/Geometry").default>[]>;
export default myModule;
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
import angular from 'angular';
