/**
 * Service for streetview functionality with Google Street View
 */
declare class GoogleStreetviewService extends StreetviewService {
    /**
     * @param {angular.IScope} $scope Scope.
     * @param {?import('ol/Map').default} map The map
     * @param {(newCoordinates: import('ol/coordinate').Coordinate | null) => void}handlePanoramaPositionChange Position change handler
     * @param {number} radius The radius
     * @param {JQuery} $element Element
     */
    constructor($scope: angular.IScope, map: import("ol/Map").default | null, handlePanoramaPositionChange: (newCoordinates: import("ol/coordinate").Coordinate | null) => void, radius: number, $element: JQuery);
    /**
     * radius for which images are searched
     *
     * @type {number}
     * @private
     */
    private radius_;
    /**
     * @type {google.maps.StreetViewService}
     * @private
     */
    private streetViewService_;
    /**
     * @type {google.maps.StreetViewPanorama}
     * @private
     */
    private panorama_;
    /**
     * @type {?google.maps.MapsEventListener}
     * @private
     */
    private panoramaListener_;
    /**
     * Called when the panorama position changes. Update the location.
     *
     * @private
     */
    private positionChange_;
    /**
     * @param {?google.maps.StreetViewPanoramaData} data Data.
     * @param {google.maps.StreetViewStatus} status Status.
     * @private
     */
    private handleStreetViewServiceGetPanorama_;
}
declare namespace GoogleStreetviewService {
    let $inject: string[];
}
export default GoogleStreetviewService;
import { StreetviewService } from './Service';
