/**
 * @param {angular.IScope} $scope Angular scope.
 * @param {import('gmf/theme/Manager').ThemeManagerService} gmfThemeManager Tree manager service.
 * @param {import('gmf/theme/Themes').ThemesService} gmfThemes Themes service.
 * @class
 * @hidden
 * @ngdoc controller
 * @ngname gmfThemeselectorController
 */
export function Controller($scope: angular.IScope, gmfThemeManager: import("gmf/theme/Manager").ThemeManagerService, gmfThemes: import("gmf/theme/Themes").ThemesService): void;
export class Controller {
    /**
     * @param {angular.IScope} $scope Angular scope.
     * @param {import('gmf/theme/Manager').ThemeManagerService} gmfThemeManager Tree manager service.
     * @param {import('gmf/theme/Themes').ThemesService} gmfThemes Themes service.
     * @class
     * @hidden
     * @ngdoc controller
     * @ngname gmfThemeselectorController
     */
    constructor($scope: angular.IScope, gmfThemeManager: import("gmf/theme/Manager").ThemeManagerService, gmfThemes: import("gmf/theme/Themes").ThemesService);
    /**
     * @type {import('gmf/theme/Manager').ThemeManagerService}
     */
    gmfThemeManager: import("gmf/theme/Manager").ThemeManagerService;
    /**
     * @type {import('gmf/theme/Themes').ThemesService}
     */
    gmfThemes_: import("gmf/theme/Themes").ThemesService;
    /**
     * @type {import('gmf/themes').GmfTheme[]}
     */
    themes: import("gmf/themes").GmfTheme[];
    /**
     * @type {function(import('gmf/themes').GmfTheme): boolean|undefined}
     */
    filter: (arg0: import("gmf/themes").GmfTheme) => boolean | undefined;
    /**
     * @type {import('ol/events').EventsKey[]}
     */
    listenerKeys_: import("ol/events").EventsKey[];
    /**
     * Store the loaded themes locally applying a filter (if any), then set the current theme.
     */
    setThemes_(): void;
    /**
     * @param {import('gmf/themes').GmfTheme} theme Theme.
     * @param {boolean} [opt_silent] if true it will be no user message if
     *     the theme should be added but it's already added.
     */
    setTheme(theme: import("gmf/themes").GmfTheme, opt_silent?: boolean): void;
    handleDestroy_(): void;
}
export namespace Controller {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
